Subject: Re: bug#21227: 24.5; tls connections not verified by default

From: Glenn Morris <[email-masked]>
Date: Mon, 10 Aug 2015 11:53:44 -0400

Glyph wrote:

> have any security.  So Emacs should use a command-line which
> authoritatively makes connections correctly, linking against gnutls
> itself if necessary.

Emacs can be linked with Gnutls since Emacs 24.1. You have to compile it
that way though. I think this is perhaps part of the reason why a bunch
of bugs related to the old non-builtin TLS support are piling up. Eg
19283, 19284, 20078. IMO these issues really need to be addressed before
the next release.